package cn.rankin.data.api.trade.dto;

import cn.rankin.common.utils.enums.OrderDetailStatusEnum;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
@ToString
public class OrderDetailSearchDTO implements Serializable {

    private String merchantId;

    protected List<String> uid;

    protected Date beginTime;

    protected Date endTime;

    protected OrderDetailStatusEnum status;

    protected Integer pageNo = 1;

    protected Integer pageSize = 10;
}
